clear

/* CREATES FIG. 1 */

/* CHANGE THIS LINE TO REFLECT LOCAL DIRECTORY STRUCTURE */
global REPDIR = "/Users/arienachi/Dropbox/Miguel/Website Content/Research/Published Papers/12. Civil War/Civil War Data/"


/* IMPORT DATA */
use "$REPDIR/PRIO and WDI merged version 9.dta"

/* GENERATES VARIABLE FOR PROPORTION OF COUNTRIES WITH CIVIL WAR AND CONFLICT */
gen sumconf_indic = (sumconf >= 1) if !missing(sumconf) 

collapse (sum) yearsofconflict=sumconf_indic, by(country)

gen ONE = 1

collapse (sum) numcountries=ONE, by(yearsofconflict)

sort yearsofconflict
gen cumulative_numcountries = numcountries in 1
replace cumulative_numcountries = cumulative_numcountries[_n-1]+ numcountries if _n > 1

sum cumulative_numcountries

gen reverse = r(max) - cumulative_numcountries[_n-1] if _n > 1
gen prop_reverse = reverse/r(max)

rename yearsofconflict years

save "$REPDIR/yearsofconflict.dta", replace
 
use "$REPDIR/PRIO and WDI merged version 9.dta"

/* GENERATES VARIABLE FOR PROPORTION OF COUNTRIES WITH CIVIL WAR */

collapse (sum) yearsofcivilwar=warinci2, by(country)

gen ONE = 1

collapse (sum) numcountries2=ONE, by(yearsofcivilwar)

sort yearsofcivilwar
gen cumulative_numcountries2 = numcountries2 in 1
replace cumulative_numcountries2 = cumulative_numcountries2[_n-1]+ numcountries2 if _n > 1

sum cumulative_numcountries2

gen reverse2 = r(max) - cumulative_numcountries2[_n-1]
gen prop_reverse2 = reverse/r(max)

rename yearsofcivilwar years

merge 1:1 years using "$REPDIR/yearsofconflict.dta"

sort years

/* LABEL VARIABLES */
label var prop_reverse2 "Proportion of countries with civil war"
label var prop_reverse "Proportion of countries with civil war or conflict" 

/* CREATES THE GRAPH */ 
graph twoway (line prop_reverse2 prop_reverse year, clpattern(dash solid)), xtitle("Number of years war and war or conflict") ytitle("Proportion of countries", height(5)) legend(row(2) size(vsmall) ring(0) pos(2))
graph export "$REPDIR/ Fig1.png", replace 
