clear
/* CREATES FIG. 2*/

/* CHANGE THIS LINE TO REFLECT LOCAL DIRECTORY STRUCTURE */
global REPDIR = "/Users/arienachi/Dropbox/Miguel/Website Content/Research/Published Papers/12. Civil War/Data Copy/";

/* IMPORT DATA */
use "$REPDIR/PRIO and WDI merged version 9.dta"

/* 
Create new variables to count the indicator R.V. warinci2
Create an indicator variable sumconf_indic for sumconf, and then generate a variable to count sumconf_indic */
generate country_count = 1
gen sumconf_indic = (sumconf >= 1) if !missing(sumconf) 
egen sumconf_count = sum(sumconf_indic), by(year)
egen ncountries = sum(country_count), by(year) 
egen warinci2_count = sum(warinci2), by(year)
generate prop_warinci2 = warinci2_count/ncountries
generate prop_sumconf = sumconf_count/ncountries

/* Label variable names that appear in the graph */
label var prop_warinci2 "Proportion of countries with civil war"
label var prop_sumconf "Proportion of countries with civil war or conflict" 

/* Create a graph */ 
graph twoway (line prop_warinci2 prop_sumconf year, clpattern(dash solid)), xlabel(1960[10] 2000) xtitle("Year") ytitle("Proportion of countries", height(5)) legend(row(2) size(vsmall) ring(0) pos(5))
graph export "/Users/arienachi/Dropbox/Miguel/Website Content/Research/Published Papers/12. Civil War/Data Copy/ Fig2.png", replace 
